org.apache.coyote.http2

## Class ConnectionSettingsBase<T extends Throwable>

- java.lang.Object
- - org.apache.coyote.http2.ConnectionSettingsBase<T>

- Direct Known Subclasses:
    ConnectionSettingsLocal, ConnectionSettingsRemote

      public abstract class ConnectionSettingsBase<T extends Throwable>
      extends Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected Map<Setting,Long>` | `current`
    `protected static boolean` | `DEFAULT_ENABLE_PUSH`
    `protected static int` | `DEFAULT_HEADER_TABLE_SIZE`
    `protected static int` | `DEFAULT_INITIAL_WINDOW_SIZE`
    `protected static long` | `DEFAULT_MAX_CONCURRENT_STREAMS`
    `protected static int` | `DEFAULT_MAX_FRAME_SIZE`
    `protected static long` | `DEFAULT_MAX_HEADER_LIST_SIZE`
    `protected static int` | `MAX_HEADER_TABLE_SIZE`
    `protected static int` | `MAX_MAX_FRAME_SIZE`
    `protected static int` | `MAX_WINDOW_SIZE`
    `protected static int` | `MIN_MAX_FRAME_SIZE`
    `protected Map<Setting,Long>` | `pending`
    `protected static long` | `UNLIMITED`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ConnectionSettingsBase(String connectionId)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `getEnablePush()`
    `int` | `getHeaderTableSize()`
    `int` | `getInitialWindowSize()`
    `long` | `getMaxConcurrentStreams()`
    `int` | `getMaxFrameSize()`
    `long` | `getMaxHeaderListSize()`
    `void` | `set(Setting setting, long value)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### MAX_WINDOW_SIZE

          protected static final int MAX_WINDOW_SIZE

      See Also:
        Constant Field Values

    - #### MIN_MAX_FRAME_SIZE

          protected static final int MIN_MAX_FRAME_SIZE

      See Also:
        Constant Field Values

    - #### MAX_MAX_FRAME_SIZE

          protected static final int MAX_MAX_FRAME_SIZE

      See Also:
        Constant Field Values

    - #### UNLIMITED

          protected static final long UNLIMITED

      See Also:
        Constant Field Values

    - #### MAX_HEADER_TABLE_SIZE

          protected static final int MAX_HEADER_TABLE_SIZE

      See Also:
        Constant Field Values

    - #### DEFAULT_HEADER_TABLE_SIZE

          protected static final int DEFAULT_HEADER_TABLE_SIZE

      See Also:
        Constant Field Values

    - #### DEFAULT_ENABLE_PUSH

          protected static final boolean DEFAULT_ENABLE_PUSH

      See Also:
        Constant Field Values

    - #### DEFAULT_MAX_CONCURRENT_STREAMS

          protected static final long DEFAULT_MAX_CONCURRENT_STREAMS

      See Also:
        Constant Field Values

    - #### DEFAULT_INITIAL_WINDOW_SIZE

          protected static final int DEFAULT_INITIAL_WINDOW_SIZE

      See Also:
        Constant Field Values

    - #### DEFAULT_MAX_FRAME_SIZE

          protected static final int DEFAULT_MAX_FRAME_SIZE

      See Also:
        Constant Field Values

    - #### DEFAULT_MAX_HEADER_LIST_SIZE

          protected static final long DEFAULT_MAX_HEADER_LIST_SIZE

      See Also:
        Constant Field Values

    - #### current

          protected Map<Setting,Long> current

    - #### pending

          protected Map<Setting,Long> pending

  - ### Constructor Detail

    - #### ConnectionSettingsBase

          public ConnectionSettingsBase(String connectionId)

  - ### Method Detail

    - #### set

          public void set(Setting setting,
                 long value)
                   throws T extends Throwable

      Throws:
        `T extends Throwable`

    - #### getHeaderTableSize

          public int getHeaderTableSize()

    - #### getEnablePush

          public boolean getEnablePush()

    - #### getMaxConcurrentStreams

          public long getMaxConcurrentStreams()

    - #### getInitialWindowSize

          public int getInitialWindowSize()

    - #### getMaxFrameSize

          public int getMaxFrameSize()

    - #### getMaxHeaderListSize

          public long getMaxHeaderListSize()

Copyright © 2000-2017 Apache Software Foundation. All Rights Reserved.